Il y a actuellement 83 visiteurs
Jeudi 26 Mai 2022
accueilactualitésdossierscomparer les prixtélécharger gratuitement vos logicielsoffres d'emploiforum informatique
Connexion
Créer un compte

pb compil: exige d'installer des paquets déjà là

L'informatique, ce n'est pas qu'un PC équipé de Windows. Ce forum est dédié aux utilisateurs de systèmes d'exploitation dérivés d'unix (GNU/Linux, *BSD, etc...) et aux autres OS alternatifs.

pb compil: exige d'installer des paquets déjà là

Message le 18 Jan 2004 14:19

Salut,
cette fois sur ma yellowdog 3, une sorte de red hat pour mac ppc.
lors des compile, ça coince à la 1ère étape (./configure), il me demande presque tout le temps un fichier que j'ai déjà. Ex: ça coince à la compil de scribus, il me réclame une version de freetype déjà installée
(je précise que l'on trouve mopas tous les rpm ppc pour yellow dog, donc on se rabat sur les sources).
J'ai cru comprendre que ce serait maybe une question de PATH, mais je trouve pas de solution
une idée ?
merci
8) 8)
bolobolo
Visiteur
Visiteur
 
Messages: 9
Inscription: 19 Aoû 2002 08:23
 


Re: pb compil: exige d'installer des paquets déjà là

Message le 18 Jan 2004 14:37

bolobolo a écrit:Salut,
cette fois sur ma yellowdog 3, une sorte de red hat pour mac ppc.
lors des compile, ça coince à la 1ère étape (./configure), il me demande presque tout le temps un fichier que j'ai déjà. Ex: ça coince à la compil de scribus, il me réclame une version de freetype déjà installée

Lorsque tu dis "deja installée", vérifie que tu as bien la version runtime et les librairies statiques & headers pour le développement d'application (elle se trouvent dans les packages -dev ou -devel...)

J'ai cru comprendre que ce serait maybe une question de PATH, mais je trouve pas de solution
une idée ?
merci

donne nous ton PATH (echo $PATH)
et le résultat du ./configure (./configure 2>&1 > resultat-configure)
Avatar de l'utilisateur
glenux
PC-Infopraticien
PC-Infopraticien
 
Messages: 2757
Inscription: 01 Mar 2003 16:22
Localisation: Entre deux BarCamps
 

Message le 18 Jan 2004 15:10

pour le PATH
[bolobolo@dhcppc0 bolobolo]$ echo $PATH
/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/home/bolobolo/bin

pour le ./configure:
checking for style of include used by make... GNU
checking for gcc... gcc
checking for C compiler default output... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking dependency style of gcc... gcc3
checking whether byte ordering is bigendian... yes
checking for freetype-config... ./configure: line 3148: error:: command not found
no
configure: error: You need at least freetype 2.1.0
[bolobolo@dhcppc0 scribus-1.1.4]$ ./configure 2>&1 >resultat-configure
./configure: line 1866: error:: command not found
./configure: line 3148: error:: command not found
configure: error: You need at least freetype 2.1.0
[bolobolo@dhcppc0 scribus-1.1.4]$

pour le reste, la version runtime et les librairies... pas compris

merci de ton aide
bolobolo
Visiteur
Visiteur
 
Messages: 9
Inscription: 19 Aoû 2002 08:23
 

Message le 18 Jan 2004 18:12

bolobolo a écrit:pour le PATH
[bolobolo@dhcppc0 bolobolo]$ echo $PATH
/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/home/bolobolo/bin

ton path est correct

checking for freetype-config... ./configure: line 3148: error:: command not found
no
configure: error: You need at least freetype 2.1.0

1) quelle version de freetype possedes tu ?

pour le reste, la version runtime et les librairies... pas compris


2) as-tu bien installé freetype...-dev ou freetype...-devel ? seuls ces paquets te permettront de compiler des logiciels qui ont besoin de freetype...
freetype (sans -dev) sert a fert fonctionner les logiciels qui sont liés dynamiquement a cette bibliotheque, mais ne permet pas de compiler lesdits logiciels...
Avatar de l'utilisateur
glenux
PC-Infopraticien
PC-Infopraticien
 
Messages: 2757
Inscription: 01 Mar 2003 16:22
Localisation: Entre deux BarCamps
 

Message le 18 Jan 2004 19:46

avec rpm -qa freetype
j'ai : 2.1.3-4

pas de dev donc, mais ce qui est bizarre, c'est que si je vais sous
http://rpmfind.creatis.insa-lyon.fr/lin ... index.html
je trouve pas de paquet freetype-dev... que je pourrais installer

merci pour ton aide
:roll:
bolobolo
Visiteur
Visiteur
 
Messages: 9
Inscription: 19 Aoû 2002 08:23
 

Message le 18 Jan 2004 20:22

bolobolo a écrit:avec rpm -qa freetype
j'ai : 2.1.3-4
pas de dev donc, mais ce qui est bizarre, c'est que si je vais sous
http://rpmfind.creatis.insa-lyon.fr/lin ... index.html
je trouve pas de paquet freetype-dev... que je pourrais installer

j'imagine que tu as installé freetype a partir d'un binaire, si tu l'avais installé a partir des sources tu aurais le freetype-config normalement. Je me trompe?
Avatar de l'utilisateur
glenux
PC-Infopraticien
PC-Infopraticien
 
Messages: 2757
Inscription: 01 Mar 2003 16:22
Localisation: Entre deux BarCamps
 

Message le 18 Jan 2004 20:37

je me souviens plus si j'ai mis à jour par yum (équivalent apt-get) ou si j'ai installé moi-même un paquet. Mais si c'était le cas, j'aurais en tout cas utilisé un rpm puisqu'il y en a prévu pour yellowdog...
bolobolo
Visiteur
Visiteur
 
Messages: 9
Inscription: 19 Aoû 2002 08:23
 



Sujets similaires

Message Impossible d'installer win 10 sur nouveau PC
Hello à tous Je viens de recevoir mon pc gamer, et windows 10 refuse de s y installer sur je mette la clé pendant l install ou essaie de sauter cette étape. J ai installé ubuntu pour une partition NTFS clean et recommencé sur cette partition, toujours le meme message d'erreur (voir lien photo).https ...
Réponses: 8

Message windows 11 pret pour etre installer sur update
Salut tout le monde !Voilà depuis ce matin sur mon pc Windows update me signale que windows 11 est prêt pour être installé gratuitement sur update ..... j hésite simple et difficile question que faire ..... si je l'installe et que c'est la catastrophe ! Bon déjà je vais être sans doute "perd ...
Réponses: 3

Message installer joomla
J'ai téléchargé joomla mais je ne sais pas comment faire pour l'installer. Habituellement il y a une application mais je n'en ai pas trouvé. Excusez mon manque de connaissance dans le domaine je débute. Merci
Réponses: 8

Message Comment installer des applis sur tablette Logicom
Bonjour,Si tu veux accéder au Play Store, il te faut un compte gmail.Il existe des magasins d'applications alternatifs. Une recherche avec comme arguments "apk" et "store" te renverra un grand nombre de réponses.Tu peux en essayer plusieurs.Mon avis perso, c'est qu'ils ne sont gl ...
Réponses: 2

Message installer W10 2004 pour installer W11
Bonjour à tous,j'ai un petit souci pour installer W11. Mon pc est compatible mais lorsque je lance l'installateur, la fenêtre me précise que je dois installer w10 2004 pour installer W11. Comment puis-je faire pour installer cette version de W10 ?J'ai actuellement W10 entreprise 1809.Merci à tous ...
Réponses: 8

Message Installer windows 11 ?
BOnsoir les amis ,J'ai regardé si mon ordi était compatible windows 11 et les mises jours me le proposes mais je voulais votre avis , si il faut le faire ou pas ?Je vous met ma configuration complète de mon ordi au cas ou https://www.cjoint.com/c/KJgtAw3mBlAMerci d'avance pour votre aide !
Réponses: 6

Message [Réglé] Installer Office 2007
Bonjour,Je possède la suite Office 2007 avec sa clef d'activation sur CD que j'aimerais installer sur PC portable Windows 10, sans lecteur. Comment puis-je procéder, sachant que je ne suis pas une foudre de guerre en matière informatique?Merci à tous.
Réponses: 9


Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 1 invité


.: Nous contacter :: Flux RSS :: Données personnelles :.